package com.example.pulit;

import androidx.appcompat.app.AppCompatActivity;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;

public abstract class BaseActivity extends AppCompatActivity {
    private ScanBroadcastReceiver scanBroadcastReceiver;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        scanBroadcastReceiver = new ScanBroadcastReceiver();
    }

    @Override
    protected void onResume() {
        super.onResume();

        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.qs.scancode");
        this.registerReceiver(scanBroadcastReceiver, intentFilter);
    }

    private class ScanBroadcastReceiver extends BroadcastReceiver{

        @Override
        public void onReceive(Context context, Intent intent) {
            scanInfo(intent.getExtras().getString("data"));
        }
    }
    public abstract void scanInfo(String info);

    public void sanCode() {
        //模拟触发扫描按键，发出广播，开始扫描
        Intent intentBroadcast = new Intent();
        intentBroadcast.setAction("hbyapi.intent.key_scan_down");
        sendBroadcast(intentBroadcast);
    }


    @Override
    protected void onDestroy() {
        // TODO Auto-generated method stub
        //退出时候注销广播接收器
        unregisterReceiver(scanBroadcastReceiver);
        super.onDestroy();
    }
}